extends Control

signal command(command)

enum ServerMenuItem {
	HOST_SERVER,
	JOIN_SERVER,
	SERVER_INFO
}

func _ready() -> void:
	# Add options to menu buttons
	var serverMenu = $Menu/Margins/Grid/Server.get_popup()
	serverMenu.add_item("Start hosting", ServerMenuItem.HOST_SERVER)
	serverMenu.add_item("Join instance", ServerMenuItem.JOIN_SERVER)
	serverMenu.connect("id_pressed", self, "_server_option_chosen")
	
func _server_option_chosen(id) -> void:
	match id:
		ServerMenuItem.HOST_SERVER:
			# TODO HOST
			$ServerInfoPopup.popup_centered()
			pass
		ServerMenuItem.JOIN_SERVER:
			# TODO JOIN
			pass
